Public Member Functions | Data Fields

# QueryStringWindow Struct Reference

Class for the string query window. More...

Inheritance diagram for QueryStringWindow:

## Public Member Functions
| QueryStringWindow (StringID str, StringID caption, uint max_bytes, uint max_chars, WindowDesc *desc, Window *parent, CharSetFilter afilter, QueryStringFlags flags)
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
| Update size and resize step of a widget in the window.
virtual void | SetStringParameters (int widget) const
| Initialize string parameters for a widget.
void | OnOk ()
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.
## Data Fields
QueryString | editbox
| Editbox.
QueryStringFlags | flags
| Flags controlling behaviour of the window.

## Detailed Description

Class for the string query window.

Definition at line 928 of file misc_gui.cpp.

## Member Function Documentation

virtual void QueryStringWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 993 of file misc_gui.cpp.

References Textbuf::DeleteAll(), editbox, WID_QS_CANCEL, WID_QS_DEFAULT, and WID_QS_OK.

virtual void QueryStringWindow::SetStringParameters | ( | int | widget | ) | const`[inline, virtual]`

Initialize string parameters for a widget.

Calls to this function are made during initialization to measure the size (that is as part of InitNested()), during drawing, and while re-initializing the window. Only for widgets that render text initializing is requested.

Parameters:

  | widget | Widget number.

Reimplemented from Window.

Definition at line 974 of file misc_gui.cpp.

References editbox, SetDParam(), and WID_QS_CAPTION.

virtual void QueryStringWindow::UpdateWidgetSize | ( | int | widget,
|  | Dimension * | size,
|  | const Dimension & | padding,
|  | Dimension * | fill,
|  | Dimension * | resize |
| ) |  |  | `[inline, virtual]`

Update size and resize step of a widget in the window.

After retrieval of the minimal size and the resize-steps of a widget, this function is called to allow further refinement, typically by computing the real maximal size of the content. Afterwards, size is taken to be the minimal size of the widget and resize is taken to contain the resize steps. For the convenience of the callee, padding contains the amount of padding between the content and the edge of the widget. This should be added to the returned size.

Parameters:

  | widget | Widget number.
  | size | Size of the widget.
  | padding | Recommended amount of space between the widget content and the widget edge.
  | fill | Fill step of the widget.
  | resize | Resize step of the widget.

Reimplemented from Window.

Definition at line 964 of file misc_gui.cpp.

References flags, QSF_ENABLE_DEFAULT, and WID_QS_DEFAULT.

The documentation for this struct was generated from the following file:

- src/misc_gui.cpp